<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="workflowEdit.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.workordermanage.workorderset.workflowEdit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>编辑工作流程</title>
      <link href="../../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <link href="../../images/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../../scripts/jquery/jquery-1.8.3.min.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/jquery.form.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/jquery.validate.min.js"></script>
    <script type="text/javascript" src="../../scripts/jquery/messages_cn.js"></script>
    <script type="text/javascript" src="../../scripts/ui/js/ligerBuild.min.js"></script>
    <script type="text/javascript" src="../../scripts/function.js"></script>
    <script src="../../scripts/calendar.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/core/base.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/plugins/ligerDialog.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/plugins/ligerDrag.js" type="text/javascript"></script>
     <script src="../../scripts/CustomersData.js" type="text/javascript"></script>
    <script src="../../scripts/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script type="text/javascript">
        function CloseThis() {
            var dialog = frameElement.dialog;
            parent.InitList();
            dialog.close();
        }
        function validate() {
            var i = 0;
            if (!validatelogin_name()) {
                i++;
            }
            if (!validatelogin_state()) {
                i++;
            }
            if (!validatelogin_date()) {
                i++;
            }
            if (!validatelogin_des()) {
                i++;
            }
            if (i > 0) {
                return false;
            }
            return true;
        }
        function validatelogin_name() {
            if ($("#F_ParamName").val() == "" || $("#F_ParamName").val() == undefined) {
                document.getElementById("lbF_ParamName").innerHTML = "* 名称不为空！";
                document.getElementById("lbF_ParamName").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbF_ParamName").innerHTML = "*";
                document.getElementById("lbF_ParamName").style.color = "#414141";
                return true;
            }
        }
        function validatelogin_state() {
            if ($("#F_ParamState").val() == "" || $("#F_ParamState").val() == undefined) {
                document.getElementById("lbF_ParamState").innerHTML = "* 状态不为空！";
                document.getElementById("lbF_ParamState").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbF_ParamState").innerHTML = "*";
                document.getElementById("lbF_ParamState").style.color = "#414141";
                return true;
            }
        }
        function validatelogin_date() {
            if ($("#textF_Date").val() == "" || $("#textF_Date").val() == undefined) {
                document.getElementById("lbF_Date").innerHTML = "* 时间不为空！";
                document.getElementById("lbF_Date").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbF_Date").innerHTML = "*";
                document.getElementById("lbF_Date").style.color = "#414141";
                return true;
            }
        }
        function validatelogin_des() {
            if ($("#F_ParamDes").val() == "" || $("#F_ParamDes").val() == undefined) {
                document.getElementById("lbF_ParamDes").innerHTML = "* 流程不为空！";
                document.getElementById("lbF_ParamDes").style.color = "red";
                return false;
            }
            else {
                document.getElementById("lbF_ParamDes").innerHTML = "*";
                document.getElementById("lbF_ParamDes").style.color = "#414141";
                return true;
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="contentTab">
         
        <ul class="tab_nav">
            <li class="selected"><a onclick="tabs('#contentTab',0);" href="javascript:;">工作流程信息</a></li>
        </ul>
        <div class="tab_con" style="display: block; ">
            <table class="form_table">
                <col width="100px" />
                <col />
                <col width="100px" />
                <col />
                <tbody>
                    <tr>
                        <th>
                           <span style="color:red;">*&nbsp;流程名称：</span>
                        </th>
                        <td>
                        <asp:TextBox ID="F_ParamName" runat="server" Width="120px" CssClass="txtInput normal" ></asp:TextBox><label
                                id="lbF_ParamName" for="F_ParamName"></label></td>
                                 <th>
                        <span style="color:red;">*&nbsp;流程状态：</span>
                        </th>
                        <td>
                            <asp:DropDownList ID="F_ParamState" runat="server" Width="120px" CssClass="txtInput normal">
                             <asp:ListItem Value="">请选择</asp:ListItem>
                             <asp:ListItem Value="0">未启用</asp:ListItem>
                             <asp:ListItem Value="1">启用</asp:ListItem>
                            </asp:DropDownList><label
                                id="lbF_ParamState" for="F_ParamState"></label>
                        </td>
                    </tr>                   
                    <tr>
                        <th>
                        <span style="color:red;">*&nbsp;启用时间：</span>
                        </th>
                        <td colspan="3">
                            <asp:TextBox ID="textF_Date" runat="server" CssClass="txtInput normal"  onfocus="WdatePicker({skin:'whyGreen'})"
                                Style="width: 120px;"></asp:TextBox><label
                                id="lbF_Date" for="textF_Date"></label>
                        </td>
                    </tr>
                    <tr>
                    <th style="color:red;">*&nbsp;流程设计：</th>
                    <td colspan="3">
                            <div style="float:left;"><asp:TextBox ID="F_ParamDes" runat="server" CssClass="txtInput normal" TextMode="MultiLine"
                                Style="width:500px; height: 120px;"></asp:TextBox><label
                                id="lbF_ParamDes" for="F_ParamDes"></label></div><div style="float:left; display:none;"><a class="tools_btn" href="#" onclick="Add();">
                <span><b class="add">设计</b></span>
            </a></div>
                        </td>
                    </tr>               
                </tbody>
            </table>
        </div>
        <div class="foot_btn_box">
            <asp:Button ID="btnSubmit" runat="server" Text="保&nbsp;&nbsp;存" CssClass="btnSubmit"
                OnClientClick="return validate();"  OnClick="btnSubmit_Click" />
        </div>
    </div>
    </form>
</body>
</html>
